import React, { useEffect, useState } from "react";
import Head from "next/head";
import BestDealsPageDetails from "@/components/rendering/bestDealsPageDetails";
import { fetchBestDealsData } from "@/utils/api/bestDeals";

const BestDealsPage = () => {
  const [data, setData] = useState(null);

  async function fetchDataBestDeals() {
    try {
      const { isError, response } = await fetchBestDealsData();

      setData(response?.data?.popular_deals);
    } catch (error) {
      console.error(error);
    }
  }
  useEffect(() => {
    fetchDataBestDeals();
  }, []);

  return (
    <>
      <Head>
        <title>WaoSim | BestDeals</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/faviconIcon.svg" />
      </Head>
      <main>
        <BestDealsPageDetails data={data} />
      </main>
    </>
  );
};

export default BestDealsPage;
